# Class BasicPasswordFieldUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.TextUI
javax.swing.plaf.basic.BasicTextUI
javax.swing.plaf.basic.BasicTextFieldUI
javax.swing.plaf.basic.BasicPasswordFieldUI

All Implemented Interfaces:
  `ViewFactory`

public class BasicPasswordFieldUI extends BasicTextFieldUI
Provides the Windows look and feel for a password field. The only difference from the standard text field is that the view of the text is simply a string of the echo character as specified in JPasswordField, rather than the real text contained in the field.

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class BasicTextUI

  `BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicPasswordFieldUI()`
  Constructs a `BasicPasswordFieldUI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `View`
  `create(Element elem)`
  Creates a view (PasswordView) for an element.
  `static ComponentUI`
  `createUI(JComponent c)`
  Creates a UI for a JPasswordField.
  `protected String`
  `getPropertyPrefix()`
  Fetches the name used as a key to look up properties through the UIManager.
  `protected void`
  `installDefaults()`
  Installs the necessary properties on the JPasswordField.

  ### Methods declared in class BasicTextFieldUI

  `getBaseline, getBaselineResizeBehavior`

  ### Methods declared in class BasicTextUI

  `create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

  ### Methods declared in class TextUI

  `getToolTipText2D, modelToView2D, viewToModel2D`

  ### Methods declared in class ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicPasswordFieldUI

    public BasicPasswordFieldUI()
    Constructs a `BasicPasswordFieldUI`.

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent c)
    Creates a UI for a JPasswordField.
    Parameters:
      `c` - the JPasswordField
    Returns:
      the UI

  - ### getPropertyPrefix

    protected String getPropertyPrefix()
    Fetches the name used as a key to look up properties through the UIManager. This is used as a prefix to all the standard text properties.
    Overrides:
      `getPropertyPrefix` in class `BasicTextFieldUI`
    Returns:
      the name ("PasswordField")

  - ### installDefaults

    protected void installDefaults()
    Installs the necessary properties on the JPasswordField.
    Overrides:
      `installDefaults` in class `BasicTextUI`
    Since:
      1.6
    See Also:
      - `BasicTextUI.uninstallDefaults()`
      - `BasicTextUI.installUI(JComponent)`

  - ### create

    public View create(Element elem)
    Creates a view (PasswordView) for an element.
    Specified by:
      `create` in interface `ViewFactory`
    Overrides:
      `create` in class `BasicTextFieldUI`
    Parameters:
      `elem` - the element
    Returns:
      the view
    See Also:
      - `View`